@import 'src/styles.scss';

h1 {
  font-size: 2rem;
  line-height: 4rem;
}

.wrapper {
  @include tablet {
    display: grid;
    gap: 1rem 3rem;
    grid-template-columns: 25% 1fr;
  }
}

.filters {
  &__wrapper {
    margin: 0 0 3rem 0;
    @include tablet {
      margin: 0;
    }
  }
  &__title {
    margin: 0 0 1rem 0;
    font-size: 1.25rem;
    line-height: 1.5rem;
    color: #171a22;
    font-weight: normal;
  }
  &__search-title {
    color: #171a22;
    font-size: 1rem;
    line-height: 1.5rem;
  }
  &__search-input-container {
    position: relative;
    height: 43.6px;
    @include tablet {
      max-width: 253px;
    }
    input {
      border-radius: 4px 0 0 4px;
      padding-right: 2rem;
      width: 100%;
    }
  }
  &__search-bar-close {
    position: absolute;
    right: 3.5rem;
    top: 0.8rem;
    background-color: transparent;
    border: unset;
    cursor: pointer;
    margin: 0;
    padding: 0;
  }
  &__search-button-container {
    position: relative;
    button {
      width: 44px;
      height: 100%;
      border-radius: 0 4px 4px 0;
      position: relative;
    }
  }
  &__search-button-icon {
    position: absolute;
    width: 1.25rem;
    height: 1.25rem;
    top: 0.8rem;
    left: 0.7rem;
    color: #ffffff;
    pointer-events: none;
  }
  &__checkbox {
    display: flex;
    flex-direction: column;
    gap: 1rem;
  }
}

.results-section {
  &__card {
    margin: 0 0 1.5rem 0;
    padding: 0 0 1.25rem 0;
    border-bottom: 1px solid #cfdaf5;
    &:last-of-type {
      padding: 0;
      margin: 0;
      border: unset;
    }
    h3 {
      color: #0e47cb;
      &:hover {
        cursor: pointer;
      }
      @include tablet {
        display: inline-block;
      }
    }
  }
  &__card-title-container {
    position: relative;
    span {
      color: #515560;
      &:first-of-type {
        border-color: #cfdaf5;
      }
      &:only-of-type {
        border: unset;
      }
    }
  }
  &__icon-container {
    position: absolute;
    bottom: -0.4rem;
  }
  &__card-description {
    word-wrap: break-word;
  }
}

.ecl-text-input {
  padding-right: 0.25rem !important;
}
